/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */


using Xunit;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using Coscine.ApiClient.Core.Model;
using Coscine.ApiClient.Core.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace Coscine.ApiClient.Core.Test.Model
{
    /// <summary>
    ///  Class for testing ApplicationProfileForCreationDto
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the model.
    /// </remarks>
    public class ApplicationProfileForCreationDtoTests : IDisposable
    {
        // TODO uncomment below to declare an instance variable for ApplicationProfileForCreationDto
        //private ApplicationProfileForCreationDto instance;

        public ApplicationProfileForCreationDtoTests()
        {
            // TODO uncomment below to create an instance of ApplicationProfileForCreationDto
            //instance = new ApplicationProfileForCreationDto();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of ApplicationProfileForCreationDto
        /// </summary>
        [Fact]
        public void ApplicationProfileForCreationDtoInstanceTest()
        {
            // TODO uncomment below to test "IsType" ApplicationProfileForCreationDto
            //Assert.IsType<ApplicationProfileForCreationDto>(instance);
        }

        /// <summary>
        /// Test the property 'Name'
        /// </summary>
        [Fact]
        public void NameTest()
        {
            // TODO unit test for the property 'Name'
        }

        /// <summary>
        /// Test the property 'Uri'
        /// </summary>
        [Fact]
        public void UriTest()
        {
            // TODO unit test for the property 'Uri'
        }

        /// <summary>
        /// Test the property 'Definition'
        /// </summary>
        [Fact]
        public void DefinitionTest()
        {
            // TODO unit test for the property 'Definition'
        }
    }
}
